Liquid Auto Update Components

The Liquid Auto Update Components dialog box lets you download and install new versions of the components that make up your Liquid Audio product.

If there are available updates, they will be listed in the New Components Available box. Click on the update name to display information about it in the Component box.

A checkmark beside the update means the update is selected for download. If there is a component you don't want to download, click the checkmark to deselect the component.

To download the selected updates, click Download.